Loading...
Searching...
No Matches
usermgmt::Role::Info Struct Reference

Role information More...

## Public Attributes

string | description
| Free-form description.
boolean | locked
| `true` if the role cannot be deleted
vector< Privilege > | privileges
| List of privileges for this role.

## Detailed Description

Role information

Definition at line 26 of file Role.idl.

## Member Data Documentation

## description

string usermgmt::Role::Info::description

Free-form description.

Definition at line 27 of file Role.idl.

## locked

boolean usermgmt::Role::Info::locked

`true` if the role cannot be deleted

Definition at line 28 of file Role.idl.

## privileges

vector<Privilege> usermgmt::Role::Info::privileges

List of privileges for this role.

Definition at line 29 of file Role.idl.

The documentation for this struct was generated from the following file:

- Role.idl